TAGPENDING.FR(1)

NOM
tagpending - Placer l'étiquette "pending" sur tous les bogues à fermer dans le dernier groupe d'entrée du fichier changelog

SYNOPSIS
tagpending [options]

DESCRIPTION
tagpending analyse les fichiers debian/changelog afin de trouver quels bogues seront fermés si le paquet était envoyé. Chaque bogue est ensuite marqué avec une étiquette "pending", en utilisant bts(1), si elle n'est pas déjà présente.

OPTIONS

-n, --noact
    Vérifier si l'étiquette "pending" doit être placée sur certains bogues, sans placer cette étiquette.

-s, --silent
    Ne pas afficher de messages.

-v, --verbose
    Lister tous les bogues vérifiés et qui ont l'étiquette.

-f, --force
    Ne pas interroger le BTS, mais (re)placer l'étiquette sur les bogues fermés dans le changelog.

--comments
    Inclure l'en-tête du journal des modifications et les entrées liées aux bogues à marquer, en tant que commentaires, dans le courrier créé. C'est le comportement par défaut.

    Remarquez, lors d'une utilisation avec l'option --to, que la ligne d'en-tête utilisée sera toujours celle de la version la plus récente.

--no-comments
    Ne pas inclure les entrées du fichier changelog dans le courrier créé.

-C, --confirm
    Placer à la fois l'étiquette "confirmed" et "pending".

-t, --to version
    Analyser les entrées du fichier changelog plus récentes (strictement) que la version.

    C'est équivalent à l'option -v de dpkg-parsechangelog.

-i, --interactive
    Afficher le message qui sera envoyé au BTS et, à moins que l'option --noact ne soit utilisée, demander une confirmation avant de l'envoyer.

-w, --wnpp
    Pour chaque bogue qui ne semble pas appartenir au paquet en cours, vérifier s'il est attribué au paquet wnpp, et si oui l'étiqueter. Cela permet d'ajouter des étiquettes aux bogues ITA ou ITP qui sont fermés par l'envoi d'un paquet, par exemple.

VOIR AUSSI
bts(1), dpkg-parsechangelog(1)

COPYRIGHT
Ce programme a été écrit par Adam D. Barratt <adam@adam-barratt.org.uk>, Copyright (C) 2008.

Le script shell tagpending, sur lequel se programme est basé est Copyright 2004 par Joshua Kwan <joshk@triplehelix.org> avec des modifications copyright 2004-2007 par ses différents auteurs.

Ce programme est publié sous les termes de la Licence Publique Générale (GPL) version 2 ou toute version ultérieure (à votre discrétion).

TRADUCTION
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006

Thomas Huriaux <thomas.huriaux@gmail.com>, 2006

David Prévot <david@tilapin.org>, 2010-2013

Xavier Guimard <yadd@debian.org>, 2018-2021